package yukihane.inqubus.model;

import java.io.File;
import java.util.ArrayList;
import java.util.Collection;

public class Target {

    public static Collection<Target> from(Collection<File> data) {
        Collection<Target> list = new ArrayList<Target>(data.size());
        for(File f : data){
            list.add(new Target(f));
        }
        return list;
    }

    public static Target fromId(String movieId) {
        return new Target(movieId);
    }

    private Location movie;
    private Location comment;
    private Location ownerComment;
    private Status status;

    private Target(File f) {
        movie = new Location(f);
    }

    private Target(String movieId) {
        movie = new Location(movieId);
    }

    public Location getComment() {
        return comment;
    }

    public void setComment(Location comment) {
        this.comment = comment;
    }

    public Location getMovie() {
        return movie;
    }

    public void setMovie(Location movie) {
        this.movie = movie;
    }

    public Location getOwnerComment() {
        return ownerComment;
    }

    public void setOwnerComment(Location ownerComment) {
        this.ownerComment = ownerComment;
    }

    public Status getStatus() {
        return status;
    }

    public void setStatus(Status status) {
        this.status = status;
    }

}
